/**
 * Created by IntelliJ IDEA.
 * User: m09kaa3
 * Date: Sep 30, 2009
 * Time: 6:45:10 PM
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;
public class Qout {
    public static void main( String[] args) throws Exception{
        Scanner s= new Scanner(new File("quotient.in"));
        PrintWriter p=new PrintWriter (new File("quotient.out"));
        long a= s.nextInt();
        long b= s.nextInt();
        long c=666;
       if (b!=0) c=a/b;
        if (c*b>a) {

            if (b>0){
               c--;

            }

            if (b<0){
            c++; }
        }


        if (b==0){
            p.print("Na nol' delit' nel'zya!!!");
        }
        else{
            p.print(c);
        }
        p.close();

    }
}
